%global momorel 1
%global cvsdate 20040613

Summary: sary is a suffix array library.
Name: sary
Version: 1.1.1
Release: 0.%{cvsdate}.%{momorel}m
License: LGPL
Group: System Environment/Libraries
#Source0: http://namazu.org/~satoru/sary/sary-%{version}.tar.gz
#Nosource: 0
Source0: sary-1.1.0-cvs20040613.tar.gz
URL: http://sary.namazu.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: glib >= 2.0.0
BuildPreReq: glib-devel >= 2.0.0

%description
Sary is a suffix array library.  It provides fast full-text
search facilities for huge, say, 10 MB, 100 MB text files.

%package devel
Summary: Libraries and include files of sary
Group: Development/Libraries
Requires: %name = %{version}-%{release}

%description devel
Libraries and include files of sary.

%prep 
%setup -q -n %{name}

%build
./autogen.sh
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/sary
%{_bindir}/mksary
%{_datadir}/sary/docs/*
%{_libdir}/libsary.so.*
%{_mandir}/*

%files devel
%defattr(-, root, root)
#%{_bindir}/sary-config
%{_includedir}/sary.h
%{_includedir}/sary
%{_libdir}/libsary.so
%{_libdir}/libsary.la
%{_libdir}/libsary.a
%{_libdir}/pkgconfig/sary.pc
#%{_datadir}/aclocal/sary.m4

%clean
rm -rf %{buildroot}

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.0-0.20040613.1m)
- update to latest version imported from cvs tree

* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-2m)
- change Source0 URI

* Sun Sep 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.4-1m)

* Fri Feb 22 2002 Toshiro Hikita <toshi@sodan.org>
- (1.0.3-2k)
- Imported from sary-1.0.3-1.src.rpm
- Kondarized

* Tue Dec 01 2000 Satoru Takabayashi <satoru@namazu.org>
- Fix %files for recent updates.

* Tue Nov 21 2000 Ryuji Abe <rug@namazu.org>
- Fix %files for recent updates.
- Fix URL.

* Mon Nov 06 2000 Satoru Takabayashi <satoru@namazu.org>
- Initial version.
